#include <SPI.h>
#include <SD.h>
#include <Wire.h>
#include "RTClib.h"


RTC_DS1307 rtc;
File myFile;

void setup() {
  Wire.begin();
  Serial.begin(9600);
  Serial.println("Data Logging Start");

  rtc.begin();

  if (!SD.begin(10)) {
    Serial.println("initialization failed!");
    return;//SD카드 연결에 실패 하셨습니다.
  }

  if (! rtc.isrunning()) {
    Serial.println("RTC is NOT running!");
    rtc.adjust(DateTime(F(__DATE__), F(__TIME__)));
  }
}


void loop() {
  DateTime now = rtc.now();
  myFile = SD.open("LogData.txt", FILE_WRITE);
  if (myFile) {
    Serial.print(F("Writing to log File..."));
    myFile.print(now.day());
    myFile.print(",");
    myFile.print(now.hour());
    myFile.print(",");
    myFile.print(now.minute());
    myFile.print(",");
    myFile.print(now.second());
    myFile.print(",");
    myFile.println(analogRead(A0));
    myFile.close();
    Serial.println(F("done."));
  } else {
    Serial.println(F("error opening file!!"));
  }

  delay(1000);
}
